declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE GP_PRICING_GESTAO_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
    begin
    execute immediate 'CREATE SEQUENCE BOLETO_GP_PRICING_SEQ START WITH 1 INCREMENT BY 1';
	exception when others  then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING ADD (INDSOBREPOSICAO NUMBER(1) DEFAULT 0)';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING_ESPECIFICO ADD (INDSOBREPOSICAO NUMBER(1) DEFAULT 0)';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING ADD (COLOR VARCHAR2(7 BYTE) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING_ESPECIFICO ADD (COLOR VARCHAR2(7 BYTE) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING ADD (INDGESTAO NUMBER(1) DEFAULT 0)';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING ADD (INDAGRUPADODIA NUMBER(1) DEFAULT 0)';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE GP_PRICING ADD (INDAGRUPADOSERVICO NUMBER(1) DEFAULT 0 )';
    exception when column_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE GP_PRICING_GESTAO 
(
  PRICINGGESTAO_ID NUMBER(7) NOT NULL 
, PRICING_ID NUMBER(7) 
, CORRIDA_ID NUMBER(7) 
, FECCORRIDA DATE 
, ACTIVO NUMBER(1) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7) 
, CONSTRAINT GP_PRICING_GESTAO_PK PRIMARY KEY 
  (
    PRICINGGESTAO_ID 
  )
  ENABLE 
)';
  exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE BOLETO_GP_PRICING 
(
  BOLETOPRICING_ID NUMBER(15, 0) NOT NULL 
, BOLETO_ID NUMBER(15, 0) 
, PRICING_ID NUMBER(7, 0) 
, PRICINGESPECIFICO_ID NUMBER(15, 0) 
, INDREPLICA NUMBER(1, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
, NODO_ID NUMBER(2, 0) 
, PRICINGCLASSETARIFARIA_ID NUMBER(7, 0) 
) ';
  exception when object_exists then null;
end;
/
declare
  object_exists exception;
  pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE GP_PRICING_ESPEC_OCUPACION 
(
  PRICINGESPECIFICOOCUPACION_ID NUMBER(7, 0) NOT NULL 
, PRICINGESPECIFICO_ID NUMBER(7, 0) 
, OCUPACIONINICIAL NUMBER(5, 2) 
, OCUPACIONFINAL NUMBER(5, 2) 
, TARIFA NUMBER(7, 2) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
, DESCUENTO NUMBER(5, 2) 
) ';
  exception when object_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -02275);
begin
    execute immediate 'ALTER TABLE GP_PRICING_ESPEC_OCUPACION
ADD CONSTRAINT GP_PRICING_ESPEC_OCUPACION FOREIGN KEY
(
  PRICINGESPECIFICO_ID 
)
REFERENCES GP_PRICING_ESPECIFICO
(
  PRICINGESPECIFICO_ID 
)
ENABLE';
    exception when column_exists then null;
end;
/