declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE "ALIQUOTA_ESTADO_DESTINO"
   (	"ALIQUOTAESTADODESTINO_ID" NUMBER(10,0),
	"ESTADO_ID" NUMBER(7,0),
	"ALIQUOTA" NUMBER(5,2),
	"EMPRESAIMPOSTO_ID" NUMBER(7,0),
	"ACTIVO" NUMBER(1,0),
	"FECMODIF" DATE,
	"USUARIO_ID" NUMBER(7,0),
	 PRIMARY KEY ("ALIQUOTAESTADODESTINO_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE,
	 CONSTRAINT "FK_ALIQUOTA_ESTADO_DESTINO_USU" FOREIGN KEY ("USUARIO_ID")
	  REFERENCES "USUARIO" ("USUARIO_ID") ENABLE,
	 CONSTRAINT "ALIQUOTAESTADODESTINO_ID_ES_FK" FOREIGN KEY ("ESTADO_ID")
	  REFERENCES "ESTADO" ("ESTADO_ID") ENABLE,
	 CONSTRAINT "ALIQUO_EST_DEST_ID_EMP_IMP_FK" FOREIGN KEY ("EMPRESAIMPOSTO_ID")
	  REFERENCES "EMPRESA_IMPOSTO" ("EMPRESAIMPOSTO_ID") ENABLE
   )';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE ALIQUOTAESTADODESTINO_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;