declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE RESERVA_FLEXBUS
	(
	  RESERVAFLEXBUS_ID NUMBER(15, 0) NOT NULL 
	, BOLETO_ID NUMBER(15, 0) 
	, NOME_PASSAGEIRO VARCHAR2(180 BYTE) 
	, DOC_PASSAGEIRO VARCHAR2(45 BYTE) 
	, EMAIL_COMPRADOR VARCHAR2(100 BYTE)
	, NOME_COMPRADOR VARCHAR2(180 BYTE) 
	, LOGIN_COMPRADOR VARCHAR2(180 BYTE) 
	, CLIENTE_ID NUMBER(7,0)
	, NUMOPERACION VARCHAR2(36 BYTE)
	, URL_PAGAMENTO VARCHAR2(300 BYTE)
	, EMAIL_RESERVA VARCHAR2(100 BYTE)
	, INDEMAILENVIADO NUMBER(1,0)
	, CONSTRAINT RESERVA_FLEXBUS_PK PRIMARY KEY  ( RESERVAFLEXBUS_ID ) ENABLE ) ';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE RESERVAFLEXBUS_SEQ';	
  exception when object_exists then null;
end;
/