declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE CONVENIO_HIST 
(
  CONVENIOHIST_ID NUMBER(7) NOT NULL 
, CONVENIODET_ID NUMBER(7) 
, ACTIVO NUMBER(1) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7) 
, CONSTRAINT CONVENIO_HIST_PK PRIMARY KEY 
  (
    CONVENIOHIST_ID 
  )
  ENABLE 
)';
 exception when object_exists then null;
end;
/
declare
 object_exists exception;
    except_00957  exception;
	except_02260  exception;
    except_06512  exception;
    except_02275  exception;
    pragma exception_init (object_exists , -01430);
    pragma exception_init (except_00957 , -00957);
    pragma exception_init (except_02260 , -02260);
	pragma exception_init (except_06512 , -06512);
    pragma exception_init (except_02275 , -02275);
begin
   execute immediate 'ALTER TABLE CONVENIO_HIST
ADD CONSTRAINT CONVENIO_HIST_FK1 FOREIGN KEY
(
  CONVENIODET_ID 
)
REFERENCES CONVENIO_DET
(
  CONVENIODET_ID 
)
ENABLE'; 
   exception 
  when object_exists then null;
       when except_00957 then null;
	   when except_02260 then null;
       when except_06512 then null;
       when except_02275 then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE CONVENIO_HIST_SEQ MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/

declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID)
        VALUES (FUNCION_SISTEMA_SEQ.nextval, 1, ''EBUS > DESCONTO AUTOR'',
        ''COM.RJCONSULTORES.EBUS.GUI.DESCONTO.AUTOR'', 1,
        SYSDATE, -1)';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/
declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID)
        VALUES (FUNCION_SISTEMA_SEQ.nextval, 1, ''EBUS > DESCONTO PUBLICADOR'',
        ''COM.RJCONSULTORES.EBUS.GUI.DESCONTO.PUBLICADOR'', 1,
        SYSDATE, -1)';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/
declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID)
        VALUES (FUNCION_SISTEMA_SEQ.nextval, 1, ''EBUS > DESCONTO ADMINISTRADOR'',
        ''COM.RJCONSULTORES.EBUS.GUI.DESCONTO.ADMINISTRADOR'', 1,
        SYSDATE, -1)';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/