declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE COMISSAO_LOG (
       COMISSAOLOG_ID       NUMBER(15) NOT NULL,
       EMPRESA_ID           NUMBER(7) NULL,
	   PUNTOVENTA_ID        NUMBER(7) NULL,
       USUARIO_ID           NUMBER(7) NULL,
	   FECCORTE				DATE NULL,
	   TURNO_ID				NUMBER(2) NULL,
	   CAJA_ID				NUMBER(15) NULL,
	   CAJADIVERSOS_ID		NUMBER(15) NULL,
	   PORC_COMISSAO	    NUMBER(5,2) NULL,
	   VALOR_BASE	    	NUMBER(10,2) NULL,
	   VALOR_COMISSAO	    NUMBER(10,2) NULL,
       ACTIVO               NUMBER(1) NULL,
	   ORIGEM				VARCHAR2(20) NULL,
	   TEXTO				VARCHAR2(500) NULL,	   
       FECMODIF             DATE NULL,
       PRIMARY KEY (COMISSAOLOG_ID), 
       FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA,
	   FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE COMISSAO_LOG_SEQ MINVALUE 1 MAXVALUE 999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE INDEX IDX_COMISSAO_LOG ON COMISSAO_LOG (EMPRESA_ID, PUNTOVENTA_ID, USUARIO_ID, FECCORTE, TURNO_ID)';	
  exception when object_exists then null;
end;
