declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE  TRANSACAOKONDUTO_PK  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 101 CACHE 20 NOORDER  NOCYCLE';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE TRANSACAO_KONDUTO
   (TRANSACAOKONDUTO_ID  NUMBER(7,0) NOT NULL ENABLE, 
	BOLETO_ID  NUMBER(15,0), 
    EMPRESA_ID NUMBER(7,0),
	KONDUTO_ID  VARCHAR2(50),
	STATUSTRANSACAO  VARCHAR2(2),
	STATUSTRANSACAOKONDUTO  VARCHAR2(20),
	TENTATIVAENVIO NUMBER(3,0), 
	ACTIVO NUMBER(1,0), 
	FECMODIF DATE, 
	USUARIO_ID NUMBER(7,0), 
	CONSTRAINT TRANSACAOKONDUTO_PK PRIMARY KEY (TRANSACAOKONDUTO_ID) ENABLE, 
	FOREIGN KEY (EMPRESA_ID)
	REFERENCES EMPRESA (EMPRESA_ID) ENABLE
   )';
  exception when object_exists then null;
end;

