declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
  execute immediate 'ALTER TABLE contrato_corporativo ADD CONSTRAINT fk_empresa_contrato_corp FOREIGN KEY (empresa_id) REFERENCES empresa(empresa_id)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;