declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE AG_ADIANTAMENTO_CLIENTE ( 
		AGADIANTAMENTOCLIENTE_ID NUMBER(7) NOT NULL, 
		CLIENTE VARCHAR2(10) NOT NULL,
		ESTABELECIMENTO VARCHAR2(4) NOT NULL, 
		CENTRORESULTADOS VARCHAR2(10), 
		CONTADESPREC VARCHAR2(10) NOT NULL, 
		CONTAFINANCEIRA VARCHAR2(4), 
		DATA DATE NOT NULL, 
		VALOR NUMBER(12,2) NOT NULL,
		IDWS VARCHAR2(30),
		INDINTEGRADO NUMBER(1) DEFAULT 0 NOT NULL,
		FECINTEGRACION DATE,
		MOTIVONAOINTEGRADO VARCHAR2(255),
		PRIMARY KEY (AGADIANTAMENTOCLIENTE_ID)
	)';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE AG_BAIXA_VENCTOCARTAO ( 
		AGBAIXAVENCTOCARTAO_ID NUMBER(7) NOT NULL, 
		CONTARECEBER_ID VARCHAR2(11) NOT NULL,
		SEQUENCIAL NUMBER(4) DEFAULT 1 NOT NULL ,
		DATA DATE NOT NULL, 
		VALOR NUMBER(12,2) NOT NULL,
		TAXA NUMBER(12,2) DEFAULT 0 NOT NULL , 
		CONTAFINANCEIRA VARCHAR2(4), 
		HISTORICO VARCHAR2(80) NOT NULL,
		CONTADESPRECTAXA VARCHAR2(10) NOT NULL, 
		EXPORTAAC NUMBER(7) NOT NULL,
		IDWS VARCHAR2(30),
		INDINTEGRADO NUMBER(1) DEFAULT 0 NOT NULL,
		FECINTEGRACION DATE,
		MOTIVONAOINTEGRADO VARCHAR2(255),
		PRIMARY KEY (AGBAIXAVENCTOCARTAO_ID)
	)';
 exception when object_exists then null;
end;
/
declare 
  column_exists exception;
  pragma exception_init (column_exists , -01430);
begin 
  execute immediate 'ALTER TABLE INSTI_FINANCEIRA ADD (INTEGRACIONAG VARCHAR2(4))';
  exception when column_exists then null;
end;
