declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE AG_DEPOSITOS_DIVERSOS ( 
		AGDEPOSITOSDIVERSOS_ID NUMBER(7) NOT NULL, 
		DATADEPOSITO DATE NOT NULL, 
		CREIDWS VARCHAR2(30) NOT NULL, 
		IDWS VARCHAR2(30),
		REFERENCIABANCO VARCHAR2(200), 
		SEQUENCIA NUMBER(7) DEFAULT 1,
		SEQUENCIAVENCIMENTO NUMBER(7) DEFAULT 1,
		VALOR NUMBER(12,2) NOT NULL,
		INDINTEGRADO NUMBER(1) DEFAULT 0 NOT NULL,
		FECINTEGRACION DATE,
		MOTIVONAOINTEGRADO VARCHAR2(255),
		PRIMARY KEY (AGDEPOSITOSDIVERSOS_ID)
	)';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "AG_DEPOSITOS_DIVERSOS_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
