declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMPRESA_EMAIL_CONFIG
(
  EMPRESAEMAILCONFIG_ID NUMBER(7, 0) NOT NULL 
, EMPRESA_ID NUMBER(7, 0) 
, SMTP VARCHAR2(100 BYTE) 
, SENHA VARCHAR2(50 BYTE) 
, SMTPPORTA VARCHAR2(20 BYTE) 
, SMTPEMAIL VARCHAR2(50 BYTE) 
, ACTIVO NUMBER(1,0) 
, FECMODIF DATE
, USUARIO_ID NUMBER(7,0)
, CONSTRAINT EMPRESA_EMAIL_CONFIG_PK PRIMARY KEY 
  (
    EMPRESAEMAILCONFIG_ID 
  )
  ENABLE 
) ';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE EMPRESA_EMAIL_CONFIG_SEQ';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMPRESA_EMAIL
(
  EMPRESAEMAIL_ID NUMBER(7, 0) NOT NULL 
, EMPRESA_ID NUMBER(7, 0) 
, TEXTOEMAIL CLOB 
, TEXTOCUPOMEMBARQUE CLOB 
, ASSUNTO VARCHAR2(200 BYTE) 
, EMAILDE VARCHAR2(50 BYTE) 
, ACTIVO NUMBER(1,0) 
, FECMODIF DATE
, USUARIO_ID NUMBER(7,0)
, CONSTRAINT EMPRESA_EMAIL_PK PRIMARY KEY 
  (
    EMPRESAEMAIL_ID 
  )
  ENABLE 
) ';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE EMPRESA_EMAIL_SEQ';	
  exception when object_exists then null;
end;