declare
    indice_nao_existe exception;
    pragma exception_init (indice_nao_existe , -01418);
begin
    execute immediate 'DROP INDEX UNQ_TARIFA';
    exception when indice_nao_existe then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -00955);
begin
    execute immediate 'CREATE UNIQUE INDEX UNQ_TARIFA ON TARIFA (CASE when activo = 1 then TRAMO_ID else null end,CASE when activo = 1 then MARCA_ID else null end,
CASE when activo = 1 then CLASESERVICIO_ID else null end,
CASE when activo = 1 then MONEDA_ID else null end,
CASE when activo = 1 then VIGENCIATARIFA_ID else null end,
CASE when activo = 1 then ORGAOCONCEDENTE_ID else null end,
CASE when activo = 1 then RUTA_ID else null end)';
    exception when column_exists then null;
end;
/