declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
    'CREATE TABLE CLIENTE_DETALHES (
       CLIENTEDETALHES_ID  NUMBER(15) NOT NULL,
       CLIENTE_ID NUMBER(15) NOT NULL,
       APPLE_ID VARCHAR2(20),
       FACEBOOK_ID VARCHAR2(20),
       GOOGLE_ID VARCHAR2(20),
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       PRIMARY KEY (CLIENTEDETALHES_ID), 
       FOREIGN KEY (CLIENTE_ID) REFERENCES CLIENTE
    )';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
    'CREATE SEQUENCE CLIENTEDETALHES_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';
  exception when object_exists then null;
end;