declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE GP_PRICING_BEN_CL_TARI_CTRL 
  	(
  	PRICINGCLASSETARIFARIA_ID NUMBER(7,0) NOT NULL ENABLE, 
	PRICINGBENCLTARI_ID NUMBER(7,0) NOT NULL ENABLE, 
	 CONSTRAINT GP_PRICING_BEN_CL_TARI_CTRL_PK PRIMARY KEY (PRICINGCLASSETARIFARIA_ID, PRICINGBENCLTARI_ID), 
	 CONSTRAINT FK_GP_PRICING_CLASSE_TARIFARIA FOREIGN KEY (PRICINGCLASSETARIFARIA_ID)
	  REFERENCES GP_PRICING_CLASSE_TARIFARIA (PRICINGCLASSETARIFARIA_ID) ENABLE, 
	 CONSTRAINT FK_GP_PRICING_BEN_CL_TARI FOREIGN KEY (PRICINGBENCLTARI_ID) REFERENCES GP_PRICING_BEN_CL_TARI (PRICINGBENCLTARI_ID) ENABLE
   )';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE GP_PRICING_BEN_C_TAR_CTRL_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/
