declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE NUMERO_DA_SORTE_CTRL
	(
	  NUMERODASORTECTRL_ID NUMBER(7, 0) NOT NULL 
	, NOME_PROMOCAO VARCHAR2(50 BYTE)
	, DATA_INICIO_VIGENCIA DATE
	, DATA_FINAL_VIGENCIA DATE	
	, ACTIVO NUMBER(1,0) 
	, FECMODIF DATE
	, USUARIO_ID NUMBER(7,0)
	, NUMERO_MAXIMO NUMBER(7, 0) 
	, CONSTRAINT NUMERODASORTECTRL_PK PRIMARY KEY  ( NUMERODASORTECTRL_ID ) ENABLE ) ';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE NUMERO_DA_SORTE_CTRL_SEQ';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE NUMERO_DA_SORTE_1_SEQ NOCACHE';	
  exception when object_exists then null;
end;
/

declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE BOLETO ADD (NUMERO_DA_SORTE  NUMBER(7,0))';
    exception when column_exists then null;
end;