DO $$
BEGIN
CREATE TABLE SECRETARIA_PUNTOVENTA (
       SECRETARIAPUNTOVENTA_ID INTEGER NOT NULL,
       SECRETARIA_ID        NUMBER(7) NULL,
       PUNTOVENTA_ID        NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       USUARIO_ID           NUMBER(7) NULL,
       FECMODIF             DATE NULL,
       PRIMARY KEY (SECRETARIAPUNTOVENTA_ID), 
       FOREIGN KEY (SECRETARIA_ID) REFERENCES SECRETARIA, 
       FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA
	);

  CREATE SEQUENCE SECRETARIAPUNTOVENTA_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;

  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;