declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE TRANSPORTADORA (
					    "TRANSPORTADORA_ID" NUMBER(7,0) PRIMARY KEY,
					    "NIT" VARCHAR2(20),
					    "NOME_TRANSPORTADORA" VARCHAR2(150),
					    "CLASSE_PAGAMENTO" NUMBER(7,0),
						"EMAIL"  VARCHAR2(150) NULL,
						"USUARIO_ID" NUMBER(7,0),
					    "ACTIVO" NUMBER(1,0),
					    "FECMODIF" DATE,					    
					    CONSTRAINT "fk_usuario_transportadora" FOREIGN KEY ("USUARIO_ID") REFERENCES "USUARIO"("USUARIO_ID")
					)';
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "TRANSPORTADORA_SEQ" MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE';
  exception when object_exists then null;
end;
/
